%global		commit 652cda78f9c96ae5cc70f1f8d797f60df74c4b67
%global		oname txsocksx
Name:		python-txsocksx
Version:	1.15.0.2
Release:	9%{?dist}
Summary:	Twisted client endpoints for SOCKS{4,4a,5}
License:	MIT
URL:		https://github.com/habnabit/txsocksx/
Source0:	https://github.com/habnabit/%{oname}/archive/%{commit}/%{oname}-%{commit}.tar.gz
Patch0:		python-txsocksx-drop-vcversioner.patch
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python2-sphinx
BuildRequires:	python2-twisted

%global _description\
python-txsocksx is SOCKS4/4a and SOCKS5 client endpoints\
for Twisted 10.1 or greater.

%description %_description

%package -n python2-txsocksx
Summary: %summary
Requires:	python2-twisted
Requires:	python2-parsley
%{?python_provide:%python_provide python2-txsocksx}

%description -n python2-txsocksx %_description

%prep
%setup -q -n %{oname}-%{commit}
%patch0 -p1

%build
%{__python2} setup.py build
make -C docs html man
rm -f doc/_build/html/.buildinfo

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1
cp -a %{_builddir}/%{oname}-%{commit}/docs/_build/man/%{oname}.1* %{buildroot}%{_mandir}/man1

# Checks are running partially due to problems with the default route in modules.
# Investigating with upstream
%check
pushd txsocksx/test
PYTHONPATH=$(pwd)
%{__python2} -m unittest -v util
# %%{__python2} -m unittest -v test_tls
# %%{__python2} -m unittest -v test_http
# %%{__python2} -m unittest -v test_grammar
# %%{__python2} -m unittest -v test_client
popd

%files -n python2-txsocksx
%doc COPYING README.rst
%{_mandir}/man1/%{oname}.1*
%{python2_sitelib}/%{oname}-%{version}-py2.7.egg-info
%{python2_sitelib}/%{oname}/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.15.0.2-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.15.0.2-6
- Python 2 binary package renamed to python2-txsocksx
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15.0.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 13 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.15.0.2-1
- Bump release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 13 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-5
- Escape macros in comments and bump release

* Mon Jan 12 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-4
- Fix files permissions

* Sat Jan 10 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-3
- Add check section and correct permissions on files

* Thu Jan 08 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-2
- Applying bugfixes accordingly to comments in BZ #1179949

* Wed Jan 07 2015 Robert Mayr <robyduck@fedoraoproject.org> 1.13.0.3-1
- Initial package for Fedora
